PipeWire: module-example-source.c File Reference

PipeWire 0.3.37

Data Structures | Macros | Functions
module-example-source.c File Reference
Include dependency graph for module-example-source.c:

## Data Structures
struct | impl

## Macros
#define | NAME "example-source"
#define | DEFAULT_FORMAT "S16"
#define | DEFAULT_RATE "48000"
#define | DEFAULT_CHANNELS "2"
#define | DEFAULT_POSITION "[ FL FR ]"
#define | MODULE_USAGE

## Functions
int | pipewire__module_init (struct pw_impl_module *module, const char *args)

## Macro Definition Documentation

## ◆ DEFAULT_CHANNELS

#define DEFAULT_CHANNELS "2"

## ◆ DEFAULT_FORMAT

#define DEFAULT_FORMAT "S16"

## ◆ DEFAULT_POSITION

#define DEFAULT_POSITION "[ FL FR ]"

## ◆ DEFAULT_RATE

#define DEFAULT_RATE "48000"

## ◆ MODULE_USAGE

#define MODULE_USAGE

Value:
"[ node.latency=<latency as fraction> ] " \
"[ node.name=<name of the nodes> ] " \
"[ node.description=<description of the nodes> ] " \
"[ audio.format=<format, default:"DEFAULT_FORMAT"> ] " \
"[ audio.rate=<sample rate, default:"DEFAULT_RATE"> ] " \
"[ audio.channels=<number of channels, default:"DEFAULT_CHANNELS"> ] " \
"[ audio.position=<channel map, default:"DEFAULT_POSITION"> ] " \
"[ stream.props=<properties> ] "
DEFAULT_CHANNELS
#define DEFAULT_CHANNELS
Definition: module-example-source.c:58
DEFAULT_POSITION
#define DEFAULT_POSITION
Definition: module-example-source.c:59
DEFAULT_FORMAT
#define DEFAULT_FORMAT
Definition: module-example-source.c:56
DEFAULT_RATE
#define DEFAULT_RATE
Definition: module-example-source.c:57

## ◆ NAME

#define NAME "example-source"

## Function Documentation

## ◆ pipewire__module_init()

int pipewire__module_init | ( | struct pw_impl_module * | module,
|  | const char * | args
| ) |  |

References impl::context, impl::module, impl::props, props, pw_context_get_work_queue(), pw_global_get_id(), pw_impl_module_get_context(), pw_impl_module_get_global(), PW_KEY_MEDIA_CLASS, PW_KEY_NODE_DESCRIPTION, PW_KEY_NODE_GROUP, PW_KEY_NODE_NAME, PW_KEY_NODE_VIRTUAL, pw_log_debug, pw_log_error, pw_properties_get(), pw_properties_new(), pw_properties_new_string(), pw_properties_set(), pw_properties_setf(), pw_properties_update_string(), impl::stream_props, and impl::work.